> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPayRun

> 
The `getPayRun` API retrieves payroll line item information for a specific pay period.

### What it does:

- Returns payroll line items including user ID, total hours, wages and taxes
- Provides at-a-glance payroll data for all employees within a specific pay period
- Provides cash requirements after all withholdings, deductions, taxes and credits for each employee to be paid successfully



## OpenAPI

````yaml get /reports/getPayRun
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getPayRun:
    get:
      tags: []
      summary: getPayRun
      description: >-

        The `getPayRun` API retrieves payroll line item information for a
        specific pay period.


        ### What it does:


        - Returns payroll line items including user ID, total hours, wages and
        taxes

        - Provides at-a-glance payroll data for all employees within a specific
        pay period

        - Provides cash requirements after all withholdings, deductions, taxes
        and credits for each employee to be paid successfully
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getPayRun
                  example: getPayRun
                payPeriodId:
                  type: string
                  format: uuid
              required:
                - method
                - payPeriodId
            example:
              method: getPayRun
              payPeriodId: 1701499A-1F6A-4D96-9A45-2021A19777E6
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollLineItems:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                          format: uuid
                        totalHours:
                          type: integer
                        wages:
                          type: integer
                        taxes:
                          type: number
                        cash requirements:
                          type: integer
                      required:
                        - userId
                        - totalHours
                        - wages
                        - taxes
                        - cash requirements
                required:
                  - payrollLineItems
              example:
                payrollLineItems:
                  - userId: 50070F09-2923-499A-850B-F12ED4C2FD69
                    totalHours: 40
                    wages: 960
                    taxes: 129.99
                    cash requirements: 960
                  - userId: 9E3CBA77-9035-471F-AA1E-F77A13AFE5C2
                    totalHours: 40
                    wages: 2000
                    taxes: 429.74
                    cash requirements: 2000
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid Payperiod
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````